Bug 827716 - [abrt] ibus-unikey-0.6.1-2.fc17: allocator_memalign: Process /usr/libexec/ibus-engine-unikey was killed by signal 11 (SIGSEGV)
[abrt] ibus-unikey-0.6.1-2.fc17: allocator_memalign: Process /usr/libexec/ibu...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ibus-unikey (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Truong Anh Tuan
Fedora Extras Quality Assurance
abrt_hash:b7b20881c7c9baec596bbd2abab...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-02 12:00 EDT by hieuht
Modified: 2013-08-01 08:41 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 08:41:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (45.14 KB, text/plain)
2012-06-02 12:01 EDT, hieuht
no flags Details
File: maps (12.83 KB, text/plain)
2012-06-02 12:01 EDT, hieuht
no flags Details

  None (edit)
Description hieuht 2012-06-02 12:00:55 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/libexec/ibus-engine-unikey --ibus
crash_function: allocator_memalign
executable:     /usr/libexec/ibus-engine-unikey
kernel:         3.3.7-1.fc17.x86_64
pid:            1534
pwd:            /tmp
time:           Sat 02 Jun 2012 10:49:51 PM ICT
uid:            1000
username:       hieuht
xsession_errors: 

backtrace:      Text file, 46227 bytes
maps:           Text file, 13137 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/hieuht/2

core_backtrace:
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x7bcf3 malloc_consolidate libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x7ce1e _int_malloc libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x7e256 _int_memalign libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x806ff memalign libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x8182c posix_memalign libc.so.6 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x1a299 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x61bab g_slice_alloc libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x61c06 g_slice_alloc0 libglib-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x2f970 g_type_create_instance libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x147a8 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x16261 g_object_newv libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x168ac g_object_new libgobject-2.0.so.0 -
:e48810bd9d6ad9358cc2aff3d0c8532485f59b90 0x1508a ibus_text_new_from_static_string libibus-1.0.so.5 -
:e48810bd9d6ad9358cc2aff3d0c8532485f59b90 0x1778c ibus_property_set_label libibus-1.0.so.5 -
:e48810bd9d6ad9358cc2aff3d0c8532485f59b90 0x17c02 - libibus-1.0.so.5 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x2fa06 g_type_create_instance libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x147a8 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x15d71 g_object_newv libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x16560 g_object_new_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x16894 g_object_new libgobject-2.0.so.0 -
:e48810bd9d6ad9358cc2aff3d0c8532485f59b90 0x173f3 ibus_property_new libibus-1.0.so.5 -
:c35794cce68ac03c35228d4e481ca992c253eb73 0x5803 - [exe] -
:31243d0d107bba586a96433c76c87a26db1e826c 0x2fa06 g_type_create_instance libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x147a8 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x15d71 g_object_newv libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x16560 g_object_new_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x16894 g_object_new libgobject-2.0.so.0 -
:e48810bd9d6ad9358cc2aff3d0c8532485f59b90 0x13b1a ibus_engine_new_with_type libibus-1.0.so.5 -
:e48810bd9d6ad9358cc2aff3d0c8532485f59b90 0x11f85 - libibus-1.0.so.5 -
:e48810bd9d6ad9358cc2aff3d0c8532485f59b90 0xec39 - libibus-1.0.so.5 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x20450 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x282a7 g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:e48810bd9d6ad9358cc2aff3d0c8532485f59b90 0x1213a - libibus-1.0.so.5 -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0xba385 - libgio-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47e12 g_main_loop_run libglib-2.0.so.0 -
:e48810bd9d6ad9358cc2aff3d0c8532485f59b90 0xf78c ibus_main libibus-1.0.so.5 -
:c35794cce68ac03c35228d4e481ca992c253eb73 0x4f23 - [exe] -

dso_list:
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.8.1-1.fc17.x86_64 (Fedora Project) 1338604772
:/usr/lib64/libgobject-2.0.so.0.3200.3 glib2-2.32.3-1.fc17.x86_64 (Fedora Project) 1338604696
:/usr/libexec/ibus-engine-unikey ibus-unikey-0.6.1-2.fc17.x86_64 (Fedora Project) 1338604369
:/usr/lib64/libgio-2.0.so.0.3200.3 glib2-2.32.3-1.fc17.x86_64 (Fedora Project) 1338604696
:/usr/lib64/libffi.so.5.0.10 libffi-3.0.10-2.fc17.x86_64 (Fedora Project) 1337719198
:/usr/lib64/libgvfscommon.so.0.0.0 gvfs-1.12.3-1.fc17.x86_64 (Fedora Project) 1337719247
:/usr/lib64/libz.so.1.2.5 zlib-1.2.5-6.fc17.x86_64 (Fedora Project) 1337719197
:/usr/lib64/libm-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1337719195
:/usr/lib64/libX11.so.6.3.0 libX11-1.4.99.901-2.fc17.x86_64 (Fedora Project) 1337719247
:/usr/lib64/libnss_files-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1337719195
:/usr/lib64/libxml2.so.2.7.8 libxml2-2.7.8-7.fc17.x86_64 (Fedora Project) 1337719197
:/usr/lib64/libdl-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1337719195
:/usr/lib64/gio/modules/libgvfsdbus.so gvfs-1.12.3-1.fc17.x86_64 (Fedora Project) 1337719247
:/usr/lib64/libpthread-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1337719195
:/usr/lib64/libdbus-1.so.3.5.6 dbus-libs-1:1.4.10-4.fc17.x86_64 (Fedora Project) 1337719197
:/usr/lib64/libglib-2.0.so.0.3200.3 glib2-2.32.3-1.fc17.x86_64 (Fedora Project) 1338604696
:/usr/lib64/libutil-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1337719195
:/usr/lib64/libc-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1337719195
:/usr/lib64/libselinux.so.1 libselinux-2.1.10-3.fc17.x86_64 (Fedora Project) 1337719197
:/usr/lib64/libbluray.so.1.1.0 libbluray-0.2.2-1.fc17.x86_64 (Fedora Project) 1337719200
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-3.fc17.x86_64 (Fedora Project) 1337719199
:/usr/lib64/libgthread-2.0.so.0.3200.3 glib2-2.32.3-1.fc17.x86_64 (Fedora Project) 1338604696
:/usr/lib64/libgmodule-2.0.so.0.3200.3 glib2-2.32.3-1.fc17.x86_64 (Fedora Project) 1338604696
:/usr/lib64/libstdc++.so.6.0.17 libstdc++-4.7.0-5.fc17.x86_64 (Fedora Project) 1337719197
:/usr/lib/locale/locale-archive glibc-common-2.15-37.fc17.x86_64 (Fedora Project) 1337719194
:/usr/lib64/libgcc_s-4.7.0-20120507.so.1 libgcc-4.7.0-5.fc17.x86_64 (Fedora Project) 1337719189
:/usr/lib64/libibus-1.0.so.5.0.499 ibus-libs-1.4.99.20120428-2.fc17.x86_64 (Fedora Project) 1338604707
:/usr/lib64/librt-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1337719195
:/usr/lib64/libresolv-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1337719195
:/usr/lib64/ld-2.15.so glibc-2.15-37.fc17.x86_64 (Fedora Project) 1337719195

environ:
:SHELL=/bin/bash
:DBUS_STARTER_ADDRESS=unix:abstract=/tmp/dbus-rtEbBkNQdp,guid=b4c76bf5ae3d32c495fdbd2e00000053
:XDG_RUNTIME_DIR=/run/user/hieuht
:DISPLAY=:0
:DESKTOP_SESSION=gnome
:WINDOWPATH=1
:PATH=/usr/local/bin:/usr/bin:/bin
:GDMSESSION=gnome
:XDG_VTNR=1
:USERNAME=hieuht
:XDG_SESSION_ID=2
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-rtEbBkNQdp,guid=b4c76bf5ae3d32c495fdbd2e00000053
:XDG_SEAT=seat0
:XAUTHORITY=/var/run/gdm/auth-for-hieuht-FVg38t/database
:USER=hieuht
:DBUS_STARTER_BUS_TYPE=session
:GNOME_KEYRING_PID=967
:SHLVL=1
:PWD=/home/hieuht
:GDM_LANG=en_US.utf8
:GNOME_KEYRING_CONTROL=/run/user/hieuht/keyring-TZjaD0
:LANG=en_US.utf8
:_=/usr/bin/dbus-launch
:LOGNAME=hieuht
:HOME=/home/hieuht
:LC_CTYPE=en_US.utf8
:GTK_IM_MODULE=ibus
:QT_IM_MODULE=xim
:XMODIFIERS=@im=ibus

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 30755                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       30755                30755                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/dev/null
:pos:	0
:flags:	0100001
:2:/dev/null
:pos:	0
:flags:	0100001
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:socket:[20640]
:pos:	0
:flags:	02004002
:5:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:6:socket:[20030]
:pos:	0
:flags:	02004002
:7:socket:[21775]
:pos:	0
:flags:	02004002
:8:anon_inode:inotify
:pos:	0
:flags:	02004000
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002

smolt_data:
:
:
:General
:=================================
:UUID: c7025cc1-e039-40f6-845c-c22e2875d3f0
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 4589.52
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5-2410M CPU @ 2.30GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2301
:System Memory: 3863
:System Swap: 2192
:Vendor: Dell Inc.
:System: Vostro 1450 Not Specified
:Form factor: Portable
:Kernel: 3.3.7-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:7243:4136:1286) pci, None, PCI/ISA, HM67 Express Chipset Family LPC Controller
:(5348:18215:4136:18) pci, bcma-pci-bridge, NETWORK, BCM4313 802.11b/g/n Wireless LAN Controller
:(32902:278:4136:1287) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:4136:1286) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:4136:1286) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:4136:1286) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(4098:26464:4136:1287) pci, radeon, VIDEO, NI Seymour [AMD Radeon HD 6470M]
:(32902:7198:4136:1286) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 8
:(32902:7200:4136:1286) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:7202:4136:1286) pci, None, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(4332:33128:4136:1286) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(32902:7171:4136:1286) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7213:4136:1286) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:4136:1286) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:4136:1286) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:4136:1286) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(32902:257:4136:1286) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda7 / ext4 4096 4096 7925669 6961858 6882512 1990656 1877057 1877057
:/dev/sda6 WITHHELD ext4 4096 4096 107978208 84324353 78919541 27025408 26778845 26778845
:/dev/sda5 /home ext4 4096 4096 4983574 4783147 4533163 1250928 1240917 1240917
:/dev/sda1 /boot ext4 4096 4096 498762 467446 442461 124928 124572 124572
:

var_log_messages:
:Jun  2 11:49:58 StrawBerry abrt[16317]: Saved core dump of pid 15961 (/usr/libexec/ibus-engine-unikey) to /var/spool/abrt/ccpp-2012-06-02-11:49:58-15961 (18866176 bytes)
:Jun  2 22:49:51 StrawBerry abrt[2174]: Saved core dump of pid 1534 (/usr/libexec/ibus-engine-unikey) to /var/spool/abrt/ccpp-2012-06-02-22:49:51-1534 (18800640 bytes)
Comment 1 hieuht 2012-06-02 12:01:05 EDT
Created attachment 588674 [details]
File: backtrace
Comment 2 hieuht 2012-06-02 12:01:20 EDT
Created attachment 588675 [details]
File: maps
Comment 3 Fedora End Of Life 2013-07-04 00:06:33 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-08-01 08:41:58 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.